Bug 962741 - Panel hide/unhide time can not be lowered under 3 seconds when Compiz-Fusion is running
Panel hide/unhide time can not be lowered under 3 seconds when Compiz-Fusion ...
Status: CLOSED WONTFIX
Product: Fedora EPEL
Classification: Fedora
Component: compiz-fusion (Show other bugs)
el6
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 07:17 EDT by petarp
Modified: 2017-01-30 03:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-30 03:17:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gconf panels configurations, xorg drivers, compiz configuration (5.52 KB, application/octet-stream)
2013-05-14 07:17 EDT, petarp
no flags Details

  None (edit)
Description petarp 2013-05-14 07:17:57 EDT
Created attachment 747648 [details]
gconf panels configurations, xorg drivers, compiz configuration

Description of problem: 
Upon initiating Compiz-Fusion, panels hide/unhide delay(s) becomes 3 seconds, despite they are set to 100ms in gconf. Happens with and without gconf-backend. Bigger hide/unhide values are recognized, but the lowest real effect is 3 seconds. When the Windows manager is set to to Metacity the panel behavior returns to normal. The bug is present in SL6.3 and CentOS6.4, all kernels (incl 3.9-ml). The same behavior is observed when Fedora14 packages were installed in the place of el6. Happens with and without the discrete graphics turned off.


Version-Release number of selected component (if applicable): 
rpm -qa | grep compiz
libcompizconfig-0.8.2-9.el6.x86_64
compiz-fusion-extras-0.8.2-6.el6.x86_64
compizconfig-backend-gconf-0.8.2-4.el6.x86_64
compiz-0.8.2-24.el6.x86_64
compiz-fusion-extras-gnome-0.8.2-6.el6.x86_64
compiz-fusion-0.8.2-8.el6.x86_64
compiz-manager-0.6.0-11.el6.noarch
compiz-fusion-gnome-0.8.2-8.el6.x86_64
compizconfig-python-0.8.2-3.el6.x86_64
compiz-gnome-0.8.2-24.el6.x86_64
compiz-fusion-unsupported-0.8.2-2.el6.x86_64
compiz-fusion-unsupported-gnome-0.8.2-2.el6.x86_64

How reproducible:
Every time compiz-fusion is started

Steps to Reproduce:
1. Install Compiz-Fusion
2. Initiate Compiz-Fusion
3.
  
Actual results:
The lowest hide/unhide time becomes 3 seconds despite gconf

Expected results:
Fast hide/unhide

Additional info:
Samsung Series 7 Chronos,

lspci
00:00.0 Host bridge: Intel Corporation 3rd Gen Core processor DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
00:14.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 (rev c4)
00:1c.3 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 4 (rev c4)
00:1d.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation HM76 Express Chipset LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 7 Series Chipset Family 6-port SATA Controller [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 7 Series/C210 Series Chipset Family SMBus Controller (rev 04)
01:00.0 VGA compatible controller: NVIDIA Corporation GK107 [GeForce GT 640M] (rev ff)
02:00.0 Network controller: Intel Corporation Centrino Advanced-N 6235 (rev 24)
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 06)
Comment 1 petarp 2013-05-19 10:48:49 EDT
I have just confirmed the bug on another system - 
a PC with
VGA compatible controller: NVIDIA Corporation GF116 [GeForce GTS 450] (rev a1)
with kmod-nvidia
This computer was running compiz-fusion on Fedora 14 (with kmod-nvidia) without any problems before I installed CentOS 6.4 on it.
Comment 2 petarp 2013-05-23 09:34:57 EDT
I've found someone else having exactly the same bug on centos6:
https://www.centos.org/modules/newbb/viewtopic.php?topic_id=40821&forum=55
Can more people please test, so proper priority and severity can be assigned?
Comment 3 leigh scott 2013-05-23 10:40:35 EDT
I haven't booted my SL6 install for several months a don't think I will have the time to investigate this issue.
Comment 4 petarp 2013-05-23 11:22:35 EDT
(In reply to leigh scott from comment #3)
> I haven't booted my SL6 install for several months a don't think I will have
> the time to investigate this issue.

Can you please give some random hints on where to look at to try to resolve it myself or to direct someone to look at it? 
So far I've tried installing f14 rpms, which worked on sl6, but did not solve the issue. I've also downgraded Xorg with no success. Needless to say, I tried enabling and disabling every plugin in csm and changing their settings. Played with gconf-backend to no success too. I'm on it from months.
Comment 5 petarp 2013-08-21 06:53:00 EDT
To bump the bug up. Centos 6 will be supported for 7 more years. I think it's worth fixing.
Comment 6 petarp 2014-04-02 07:00:00 EDT
Still present in CentOS 6.5 (final). Will try to repack fedora 13 compiz-fusion packages and see if they have the bug.
Comment 7 Joe Henley 2015-04-11 12:15:01 EDT
Any luck with F-13?  It's still in CentOS-6.6.  It's still annoying.

Note You need to log in before you can comment on or make changes to this bug.